NAME

Paws::IAM::GetPolicyVersion - Arguments for method GetPolicyVersion on Paws::IAM

DESCRIPTION

This class represents the parameters used for calling the method GetPolicyVersion on the AWS Identity and Access Management service. Use the attributes of this class as arguments to method GetPolicyVersion.

You shouldn't make instances of this class. Each attribute should be used as a named argument in the call to GetPolicyVersion.

SYNOPSIS

    my $iam = Paws->service('IAM');
    my $GetPolicyVersionResponse = $iam->GetPolicyVersion(
      PolicyArn => 'MyarnType',
      VersionId => 'MypolicyVersionIdType',

    );

    # Results:
    my $PolicyVersion = $GetPolicyVersionResponse->PolicyVersion;

    # Returns a L<Paws::IAM::GetPolicyVersionResponse> object.

Values for attributes that are native types (Int, String, Float, etc) can passed as-is (scalar values). Values for complex Types (objects) can be passed as a HashRef. The keys and values of the hashref will be used to instance the underlying object. For the AWS API documentation, see https://docs.aws.amazon.com/goto/WebAPI/iam/GetPolicyVersion

ATTRIBUTES

REQUIRED PolicyArn => Str

The Amazon Resource Name (ARN) of the managed policy that you want information about.

For more information about ARNs, see Amazon Resource Names (ARNs) and AWS Service Namespaces (https://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html) in the AWS General Reference.

REQUIRED VersionId => Str

Identifies the policy version to retrieve.

This parameter allows (through its regex pattern (http://wikipedia.org/wiki/regex)) a string of characters that consists of the lowercase letter 'v' followed by one or two digits, and optionally followed by a period '.' and a string of letters and digits.

SEE ALSO

This class forms part of Paws, documenting arguments for method GetPolicyVersion in Paws::IAM

BUGS and CONTRIBUTIONS

The source code is located here: https://github.com/pplu/aws-sdk-perl

Please report bugs to: https://github.com/pplu/aws-sdk-perl/issues